Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciProperty

public interface SciProperty

Defines integer constants needed for identification of properties.

Author:
  TogetherSoft
See Also: SciElement.hasProperty(int), SciElement.setProperty(int,boolean)

Field Summary
`final static int` | `ABSTRACT` Property indicating that this element is an abstract class or method.
`final static int` | `COMPILED` Property indicating that this element is a compiled class.
`final static int` | `CONST`
`final static int` | `CONSTRUCTOR` Property indicating that this element is a constructor.
`final static int` | `DESTRUCTOR` Property indicating that this element is a destructor.
`final static int` | `ENUM` Property indicating that this element is an enum (CORBA IDL only) .
`final static int` | `EXCEPTION` Property indicating that this element is an exception (CORBA IDL only) .
`final static int` | `FINAL` Property indicating that this element has the `final` modifier (Java only).
`final static int` | `INLINE` Property indicating that this element is an inline function (C++ only).
`final static int` | `INTERFACE` Property indicating that this element is an interface (Java only).
`final static int` | `NATIVE` Property indicating that this element is has the `native` modifier (Java only).
`final static int` | `PACKAGE_LOCAL` Property indicating that this element has a package local access modifier.
`final static int` | `PRIVATE` Property indicating that this element has a private access modifier.
`final static int` | `PROTECTED` Property indicating that this element has a protected access modifier.
`final static int` | `PUBLIC` Property indicating that this element has a public access modifier.
`final static int` | `PURE` Property indicating that this element is a PURE element.
`final static int` | `STATIC` Property indicating that this element is static.
`final static int` | `SYNCHRONIZED` Property indicating that this element has the `synchronize` modifier (Java only).
`final static int` | `TEMPLATE` Property indicating that this element is a template (c++ only).
`final static int` | `TRANSIENT` Property indicating that this element has the `transient` modifier (Java only).
`final static int` | `UNION` Property indicating that this element is an union (CORBA IDL only) .
`final static int` | `VALUETYPE` Property indicating that this element is a valuetype (CORBA IDL only) .
`final static int` | `VIRTUAL` Property indicating that this element is a virtual function (C++ only).
`final static int` | `VOLATILE` Property indicating that this element has the `volatile` modifier.

Field Detail

### ABSTRACT

    public final static int ABSTRACT

  Property indicating that this element is an abstract class or method. (This property cannot be set for a class in C++ due to the syntax specifications)

### COMPILED

    public final static int COMPILED

  Property indicating that this element is a compiled class.

### CONST

    public final static int CONST

### CONSTRUCTOR

    public final static int CONSTRUCTOR

  Property indicating that this element is a constructor.

### DESTRUCTOR

    public final static int DESTRUCTOR

  Property indicating that this element is a destructor.

### ENUM

    public final static int ENUM

  Property indicating that this element is an enum (CORBA IDL only) .

### EXCEPTION

    public final static int EXCEPTION

  Property indicating that this element is an exception (CORBA IDL only) .

### FINAL

    public final static int FINAL

  Property indicating that this element has the `final` modifier (Java only).

### INLINE

    public final static int INLINE

  Property indicating that this element is an inline function (C++ only).

### INTERFACE

    public final static int INTERFACE

  Property indicating that this element is an interface (Java only).

### NATIVE

    public final static int NATIVE

  Property indicating that this element is has the `native` modifier (Java only). For operations only.

### PACKAGE_LOCAL

    public final static int PACKAGE_LOCAL

  Property indicating that this element has a package local access modifier. (Java only) For classes, methods, and attributes.

### PRIVATE

    public final static int PRIVATE

  Property indicating that this element has a private access modifier. For classes, methods, and attributes.

### PROTECTED

    public final static int PROTECTED

  Property indicating that this element has a protected access modifier. For classes, methods, and attributes.

### PUBLIC

    public final static int PUBLIC

  Property indicating that this element has a public access modifier. For classes, methods, and attributes.

### PURE

    public final static int PURE

  Property indicating that this element is a PURE element. For operations and attributes only. PURE element is an element which is stored in a comment field and thus is invisible for the real source code elements. Nevertheless, SCI model treats PURE elements like a source code-based element.

### STATIC

    public final static int STATIC

  Property indicating that this element is static. For classes, methods, and attributes.

### SYNCHRONIZED

    public final static int SYNCHRONIZED

  Property indicating that this element has the `synchronize` modifier (Java only). For operations only.

### TEMPLATE

    public final static int TEMPLATE

  Property indicating that this element is a template (c++ only).

### TRANSIENT

    public final static int TRANSIENT

  Property indicating that this element has the `transient` modifier (Java only). For attributes only.

### UNION

    public final static int UNION

  Property indicating that this element is an union (CORBA IDL only) .

### VALUETYPE

    public final static int VALUETYPE

  Property indicating that this element is a valuetype (CORBA IDL only) .

### VIRTUAL

    public final static int VIRTUAL

  Property indicating that this element is a virtual function (C++ only).

### VOLATILE

    public final static int VOLATILE

  Property indicating that this element has the `volatile` modifier. For attributes only.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD